### Function

# AppStreamCompose render_svg_to_file

#### Declaration [src]

    gboolean
    asc_render_svg_to_file (
      GInputStream* stream,
      gint width,
      gint height,
      AscImageFormat format,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Renders SVG data from a stream to a file in a specific format.

#### Parameters

`stream`

  Type: `GInputStream`

  Input stream with SVG data.

  The data is owned by the caller of the function.

`width`

  Type: `gint`

  Target width.

`height`

  Type: `gint`

  Target height.

`format`

  Type: `AscImageFormat`

  Target image format, e.g. `ASC_IMAGE_FORMAT_PNG`.

`filename`

  Type: `const gchar*`

  Filename to write to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.